Rule - List

### Rules List `GET /rules` endpoint returns a lot of all rule templates supported by flagright. You can use [GET /rules/{ruleId}](/management-api/api-reference/api-reference/get-rules-rule-id) endpoint to fetch the details of any particular rule. Each rule is identified by the unique `id` which is of the form `R-{X}` where `X` is an integer. Rules have a `parametersSchema` which is a [JSON Schema](https://json-schema.org/) that contains the schema of the parameters supported by the rule. When you create a [ruleInstance](/management-api/api-reference/api-reference/post-rule-instances), you need to provide the values in accordance with the `parametersSchema`. All the rules come with default values for all required attributes. Rules come with default `name`, `description`. Each rule may take multiple rule parameters, by default they have a `defaultParameters` attribute that contains all the required fields. For use cases where the rule parameters are forked based on customer dynamic risk score, `defaultRiskLevelParameters` are set. Rules also come with a `defaultAction` and `defaultRiskLevelActions` for rule actions for the rule. All of the above should be configured at the [rule instance](/management-api/api-reference/api-reference/post-rule-instances) level when creating a rule instance. Rules are read only and provided by flagright. You can only manipulate rules instances, not rule templates themselves. If you need an update to a rule or a new rule, you can always contact the Flagright team.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Response

OK
idstring
typeenum
namestring
typeslist of strings
descriptionstring
defaultParametersobject
defaultActionenum
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
Allowed values:
labelslist of enums
defaultCasePriorityenum
Allowed values:
defaultNatureenum
Allowed values:
checksForlist of strings
typologieslist of strings
sampleUseCasesstring
parametersSchemaobject
defaultRiskLevelParametersobject
defaultRiskLevelActionsobject